import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataYandexFunctionConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/d/function#folder_id DataYandexFunction#folder_id}
    */
    readonly folderId?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/d/function#function_id DataYandexFunction#function_id}
    */
    readonly functionId?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/d/function#name DataYandexFunction#name}
    */
    readonly name?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/yandex/d/function yandex_function}
*/
export declare class DataYandexFunction extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "yandex_function";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/yandex/d/function yandex_function} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataYandexFunctionConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataYandexFunctionConfig);
    get createdAt(): string;
    get description(): string;
    get entrypoint(): string;
    environment(key: string): string | cdktf.IResolvable;
    get executionTimeout(): string;
    private _folderId?;
    get folderId(): string;
    set folderId(value: string);
    resetFolderId(): void;
    get folderIdInput(): string | undefined;
    private _functionId?;
    get functionId(): string;
    set functionId(value: string);
    resetFunctionId(): void;
    get functionIdInput(): string | undefined;
    get id(): string;
    get imageSize(): number;
    labels(key: string): string | cdktf.IResolvable;
    get loggroupId(): string;
    get memory(): number;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    get runtime(): string;
    get serviceAccountId(): string;
    get tags(): string[];
    get version(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-yandex-function.d.ts.map