import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface VpcRouteTableConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#description VpcRouteTable#description}
    */
    readonly description?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#folder_id VpcRouteTable#folder_id}
    */
    readonly folderId?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#labels VpcRouteTable#labels}
    */
    readonly labels?: {
        [key: string]: string;
    };
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#name VpcRouteTable#name}
    */
    readonly name?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#network_id VpcRouteTable#network_id}
    */
    readonly networkId: string;
    /**
    * static_route block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#static_route VpcRouteTable#static_route}
    */
    readonly staticRoute?: VpcRouteTableStaticRoute[] | cdktf.IResolvable;
    /**
    * timeouts block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#timeouts VpcRouteTable#timeouts}
    */
    readonly timeouts?: VpcRouteTableTimeouts;
}
export interface VpcRouteTableStaticRoute {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#destination_prefix VpcRouteTable#destination_prefix}
    */
    readonly destinationPrefix?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#next_hop_address VpcRouteTable#next_hop_address}
    */
    readonly nextHopAddress?: string;
}
export declare function vpcRouteTableStaticRouteToTerraform(struct?: VpcRouteTableStaticRoute | cdktf.IResolvable): any;
export interface VpcRouteTableTimeouts {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#create VpcRouteTable#create}
    */
    readonly create?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#delete VpcRouteTable#delete}
    */
    readonly delete?: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table#update VpcRouteTable#update}
    */
    readonly update?: string;
}
export declare function vpcRouteTableTimeoutsToTerraform(struct?: VpcRouteTableTimeoutsOutputReference | VpcRouteTableTimeouts | cdktf.IResolvable): any;
export declare class VpcRouteTableTimeoutsOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
    * @param terraformResource The parent resource
    * @param terraformAttribute The attribute on the parent resource this class is referencing
    */
    constructor(terraformResource: cdktf.IInterpolatingParent, terraformAttribute: string);
    get internalValue(): VpcRouteTableTimeouts | undefined;
    set internalValue(value: VpcRouteTableTimeouts | undefined);
    private _create?;
    get create(): string;
    set create(value: string);
    resetCreate(): void;
    get createInput(): string | undefined;
    private _delete?;
    get delete(): string;
    set delete(value: string);
    resetDelete(): void;
    get deleteInput(): string | undefined;
    private _update?;
    get update(): string;
    set update(value: string);
    resetUpdate(): void;
    get updateInput(): string | undefined;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table yandex_vpc_route_table}
*/
export declare class VpcRouteTable extends cdktf.TerraformResource {
    static readonly tfResourceType = "yandex_vpc_route_table";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/yandex/r/vpc_route_table yandex_vpc_route_table} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options VpcRouteTableConfig
    */
    constructor(scope: Construct, id: string, config: VpcRouteTableConfig);
    get createdAt(): string;
    private _description?;
    get description(): string;
    set description(value: string);
    resetDescription(): void;
    get descriptionInput(): string | undefined;
    private _folderId?;
    get folderId(): string;
    set folderId(value: string);
    resetFolderId(): void;
    get folderIdInput(): string | undefined;
    get id(): string;
    private _labels?;
    get labels(): {
        [key: string]: string;
    };
    set labels(value: {
        [key: string]: string;
    });
    resetLabels(): void;
    get labelsInput(): {
        [key: string]: string;
    } | undefined;
    private _name?;
    get name(): string;
    set name(value: string);
    resetName(): void;
    get nameInput(): string | undefined;
    private _networkId?;
    get networkId(): string;
    set networkId(value: string);
    get networkIdInput(): string | undefined;
    private _staticRoute?;
    get staticRoute(): VpcRouteTableStaticRoute[] | cdktf.IResolvable;
    set staticRoute(value: VpcRouteTableStaticRoute[] | cdktf.IResolvable);
    resetStaticRoute(): void;
    get staticRouteInput(): cdktf.IResolvable | VpcRouteTableStaticRoute[] | undefined;
    private _timeouts;
    get timeouts(): VpcRouteTableTimeoutsOutputReference;
    putTimeouts(value: VpcRouteTableTimeouts): void;
    resetTimeouts(): void;
    get timeoutsInput(): VpcRouteTableTimeouts | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=vpc-route-table.d.ts.map